Bug 20204 - Create join tag
Summary: Create join tag
Status: RESOLVED FIXED
Alias: None
Product: Taglibs
Classification: Unclassified
Component: String Taglib (show other bugs)
Version: unspecified
Hardware: Other other
: P3 enhancement (vote)
Target Milestone: ---
Assignee: Tomcat Developers Mailing List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2003-05-24 12:05 UTC by Eric Jain
Modified: 2009-08-17 02:03 UTC (History)
0 users



Attachments
Test case of the new tags (796 bytes, text/plain)
2004-03-12 05:32 UTC, Felipe Leme
Details
Test case's result (256 bytes, text/html)
2004-03-12 05:32 UTC, Felipe Leme
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Eric Jain 2003-05-24 12:05:48 UTC
<s:join items="${listOfNames}" separator=", "/>
Comment 1 Felipe Leme 2004-03-12 05:30:25 UTC
I created this tag and also its peer, <str:split> - see attachment for examples
on how to use them.

However, They don't handle EL expressions, as that would not be consistent with
the other tags (we are planning to add an overall EL support to all taglibs in
the future though).

Felipe
Comment 2 Felipe Leme 2004-03-12 05:32:08 UTC
Created attachment 10761 [details]
Test case of the new tags
Comment 3 Felipe Leme 2004-03-12 05:32:42 UTC
Created attachment 10762 [details]
Test case's result
Comment 4 Felipe Leme 2004-03-22 23:05:48 UTC
Marking as fixed, as it has been incorporated to the nightly build:

http://jakarta.apache.org/taglibs/doc/string-doc/index.html#join